| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
img_tomography.cpp File Reference

Library routines used for tomography applications. More...

`#include "Bimage.h"`
`#include "marker.h"`
`#include "img_tomography.h"`
`#include "math_util.h"`
`#include "Matrix.h"`
`#include "trigonometry.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Bimage * | img_gold_particle (Vector3< size_t > size, double radius)
| Generates an image representing a gold particle. More...
Bmarker * | img_find_gold_particles (Bimage *p, int img_select, double radius, size_t edge, double cutoff)
| Finds gold particles in micrograph images. More...
Bimage * | img_marker_projection (Vector3< size_t > size, Vector3< double > offset, double radius, Bimage *pmark, Bmarker *mark)
| Generates a projection image of the global marker model. More...
int | img_stretch (Bimage *p, double axis, double tilt)
| Stretches an image to what it should correspond to at 0 degree tilt. More...
int | img_clear_extraneous_areas (Bimage *p, double tilt_axis, double tilt_angle, size_t thickness)
| Clears areas from a micrograph not used in a reconstruction. More...

## Variables
int | verbose

## Detailed Description

Library routines used for tomography applications.

Author
  Bernard Heymann

Date
  Created: 20021013
  Modified: 20110818

Definition in file img_tomography.cpp.

## Function Documentation

int img_clear_extraneous_areas | ( | Bimage * | p,
|  | double | tilt_axis,
|  | double | tilt_angle,
|  | size_t | thickness
| ) |  |

Clears areas from a micrograph not used in a reconstruction.

Parameters

  *p | micrograph parameter structure.
  tilt_axis | micrograph tilt axis angle.
  tilt_angle | micrograph tilt angle.
  thickness | intended thickness of reconstruction.

Returns
  int 0.

      The image origin must be set to that for the micrograph.

Definition at line 314 of file img_tomography.cpp.

Bmarker* img_find_gold_particles | ( | Bimage * | p,
|  | int | img_select,
|  | double | radius,
|  | size_t | edge,
|  | double | cutoff
| ) |  |

Finds gold particles in micrograph images.

Parameters

  *p | image.
  img_select | selected subimage, -1 if all.
  radius | gold particle radius in voxel units.
  edge | edge width to eliminate particles.
  cutoff | FOM cutoff, if 0 then half of maximum FOM.

Returns
  Bmarker* list of markers.

      An image of the size of an input sub-image is generated with a gold
      particle (black or negative density) at its center.
      Each sub-image is cross-correlated with the gold particle image
      and the position within the image reported.
      The FOM cutoff is used to select cross-correlation peaks, except it
      is reset for the following:
          cutoff == 0 ==> cutoff = FOMavg + FOMstd
          cutoff <  0 ==> cutoff = FOMmax/2

Definition at line 71 of file img_tomography.cpp.

Bimage* img_gold_particle | ( | Vector3< size_t > | size,
|  | double | radius
| ) |  |

Generates an image representing a gold particle.

Parameters

  size | size of image to generate.
  radius | gold particle radius in voxel units.

Returns
  Bimage* gold particle image.

      An image of the size of an input sub-image is generated with a gold
      particle (black or negative density) at its center.

Definition at line 31 of file img_tomography.cpp.

Bimage* img_marker_projection | ( | Vector3< size_t > | size,
|  | Vector3< double > | offset,
|  | double | radius,
|  | Bimage * | pmark,
|  | Bmarker * | mark
| ) |  |

Generates a projection image of the global marker model.

Parameters

  size | size of image.
  offset | offset to add to marker locations.
  radius | gold fiducial marker radius.
  *pmark | average marker image (can be NULL).
  *mark | list of markers.

Returns
  Bimage* marker projection image.

      If the input marker image is NULL, synthetic particle images are
      generated using the input radius.

Definition at line 209 of file img_tomography.cpp.

int img_stretch | ( | Bimage * | p,
|  | double | axis,
|  | double | tilt
| ) |  |

Stretches an image to what it should correspond to at 0 degree tilt.

Parameters

  *p | image.
  axis | tilt axis angle.
  tilt | tilt angle.

Returns
  int 0.

      The image is stretched perpendicular to the tilt axis by a factor of
      cos(tilt_angle). This implicitly assumes that the image is of a very
      thin, planar specimen that can be stretched in this way to get an
      image similar to that expected for 0 degree tilt.

Definition at line 251 of file img_tomography.cpp.

## Variable Documentation

int verbose